<?php
	
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
		 if($game==0 OR $level==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';

}else{

	$type=$_GET['t'];
	if($type==1){$maxres=4; $allres=$min; $dbres='min';}
	if($type==2){$maxres=4; $allres=$metall; $dbres='metall';}
	if($type==3){$maxres=4; $allres=$gas; $dbres='gas';}
	if($type==4){$maxres=1; $allres=$prov; $dbres='prov';}
	if($type==5){$maxres=3; $allres=$water; $dbres='water';}
	switch ($act) {
	default:
	echo "<title>Биржа</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><font color="#4EEE94"><b>Биржа</b></font> | <a href="?act=history"><b>История торговли</b></a></div>';
	echo '<div class="razd"></div>';
	echo '<div class="window"><img src="/images/icon/2.gif" alt="" /> Чтобы продать ресурс нажмите на его название!</div>';
	$rinok1 = mysql_result(mysql_query("SELECT COUNT(*) FROM `torg` WHERE `type`=1;"), 0);
	$rinok2 = mysql_result(mysql_query("SELECT COUNT(*) FROM `torg` WHERE `type`=2;"), 0);
	$rinok3 = mysql_result(mysql_query("SELECT COUNT(*) FROM `torg` WHERE `type`=3;"), 0);
	$rinok4 = mysql_result(mysql_query("SELECT COUNT(*) FROM `torg` WHERE `type`=4;"), 0);
	$rinok5 = mysql_result(mysql_query("SELECT COUNT(*) FROM `torg` WHERE `type`=5;"), 0);
	echo '<div class="razd"></div>';
	echo '<div class="top-nav"><img src="/images/images_main/metall.png" width="25px" alt="" /> <a href="?act=list&amp;t=1"><b>Металл</b></a> [На продаже: <font color="#4EEE94">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($rinok1))))))).'</font>]</div><div class="top-nav"><img src="/images/images_main/minerall.png" width="25px"  alt=""/> <a href="?act=list&amp;t=3"><b>Минерал</b></a> [На продаже: <font color="#4EEE94">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($rinok3))))))).'</font>]</div><div class="top-nav"><img src="/images/images_main/gelium.png" width="25px"  alt=""/> <a href="?act=list&amp;t=2"><b>Гелий</b></a> [На продаже: <font color="#4EEE94">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($rinok2))))))).'</font>]</div><div class="top-nav"><img src="/images/images_main/trit.png" width="25px"  alt=""/> <a href="?act=list&amp;t=4"><b>Тритий</b></a> [На продаже: <font color="#4EEE94">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($rinok4))))))).'</font>]</div><div class="top-nav"><img src="/images/images_main/energi.png" width="25px alt="" /> <a href="?act=list&amp;t=5"><b>Энергия</b></a> [На продаже: <font color="#4EEE94">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($rinok5))))))).'</font>]</div>';
	break;
	case 'list':
	if(torg($type)!=''){
	echo "<title>Биржа ресурсов</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><a href="torg.php"><b>Биржа</b></a> | <font color="#4EEE94"><b>Рынок '.torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type)))))))).'</b></font><br/></div>';
	echo '<div class="razd"></div>';
	echo '<center><div class="window"><a href="?act=prod&amp;t='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type))))))).'"><b>Продать</b></a></div></center>';
	echo '<div class="razd"></div>';
			$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `torg` WHERE `type`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type)))))))."';"), 0);
			$PAGINGS = new PAGINGS($elem, "SELECT * FROM `torg` WHERE `type`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type)))))))."' ORDER BY `id` DESC");
			if($PAGINGS->count_get > 0)
			{
				while($row = mysql_fetch_array($PAGINGS->get))
				{
					$q = mysql_query("SELECT * FROM `users` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['uid'])))))))."'");
					$f = mysql_fetch_array($q);
					echo '<center><div class="window">'.rasa(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['rasa'])))))))).' <a href="../p/anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><span class="' . crasa(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['rasa'])))))))) . '">' . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))) . '</span></a>';
					echo ' продает <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['number']))))))).']</font> '.torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type)))))))).' <br/>Цена: <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['price']))))))).']</font> Плазмы за <font color="#4EEE94">[10000]</font> ед';
					if($row['uid']!=$use_id)echo ' <font color="#4EEE94">[<a href="?act=buy&amp;t='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['type']))))))).'&amp;id='.$row['id'].'"><font color="#4EEE94"><b>купить</b></font></a>]</font>';
					if($row['uid']==$use_id)echo ' <font color="#4EEE94">[<a href="?act=off&amp;t='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['type']))))))).'&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id']))))))).'"><font color="#4EEE94"><b>снять</b></font></a>]</font>';
					echo '</div></center>';
				}
				if($count>$elem)echo $PAGINGS->Links('?act=list&amp;t='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type))))))).'&amp;'); 
			}
			else
			{
				div('<center><b>'.torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type)))))))).' нет на продаже!</b></center>','window');
			}
	}
	break;
	case 'prod':
	if(torg($type)!=''){
	$pcount = mysql_result(mysql_query("SELECT COUNT(*) FROM `torg` WHERE `type`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type)))))))."' AND `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."';"), 0);
	echo "<title>Продажа ресурсов</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><a href="torg.php"><b>Биржа</b></a> | <font color="#4EEE94"><b>Продажа '.torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type)))))))).'</b></font></div>';
	echo '<div class="razd"></div>';
	if($pcount>=10){echo '<div class="blok3"><b>Вы можете выставлять на рынок '.torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type)))))))).' не более <font color="#4EEE94">[10]</font> ставок одновременно!</b><br/></div>';
	echo '<div class="blok"><a href="?act=list&amp;t='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type))))))).'"><b>Назад</b></a></div>';

	}

	else

	{
	echo '<center><div class="blok1">Цена продажи <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($maxres))))))).']</font> Плазмы за ед.</div></center>';
	echo '<div class="razd"></div>';
	echo '<div class="razd"></div>';
	echo '<center><div class="blok1">Количество '.torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type)))))))).' <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($allres))))))).']</font><br/></div></center>';
	echo '<div class="razd"></div>';
		if(!$_POST)
	{
			echo '<center><div class="window">';
			echo '<form action="" method="POST">';
			echo '<input type="text" name="number" /><br /><input type="submit" name="submit" value="Выставить на продажу"/></form>';
			echo '</div><center>';
			
	}
	else
	{
			$number = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['number'])))))));
			$price = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($maxres)))))));
$error = false;
if (empty($number))

{

		$error = $error . 'Не введено количество '.torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type)))))))).'!<br/>';

}
		
elseif ($number > $allres)

{

	$error = $error . 'У вас нет столько '.torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type)))))))).'!<br />';

}

elseif ($number < 0)

{

	$error = $error . 'Вы не ввели количество '.torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type)))))))).'!<br />';

}

elseif (preg_match('/[^\d_]+/',$number))

{

	$error = $error . 'Недопустимые символы!<br />';

}

if (empty($price))

{

	$error = $error . 'Не введена цена!<br/>';

}

elseif ($price > $maxres OR $price <$maxres)

{

	$error = $error . 'Цена продажи '.torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type)))))))).' от '.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($minres))))))).' до '.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($maxres))))))).' Плазмы за ед.!<br />';
}

elseif (preg_match('/[^\d_]+/',$price))

{

	$error = $error . 'Недопустимые символы в цене!<br />';

}
	  		
if (empty($error))

		{

			mysql_query("UPDATE `users` SET
			`$dbres`=$dbres-$number WHERE `id`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id))))))) . "';");
			mysql_query("INSERT INTO `torg` SET
			`type`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type)))))))."',
			`number`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($number)))))))."',
			`price`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($price)))))))."',
			`uid`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id))))))) . "';");
            echo '<div class="blok">Вы выставили на продажу <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($number))))))).']</font> '.torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type)))))))).'!<br/></div>';

		}
		else
		{
			echo '<div class="blok3"><b>' . $error. '</b></div>';
		}
	}
	echo '<div class="razd"></div>';
	echo '<div class="blok"><a href="?act=list&amp;t='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type))))))).'"><b>Назад</b></a></div>';
	}}
	break;
	case 'buy':
	$buy=$_GET['id'];
	$q = mysql_query("SELECT * FROM `torg` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($buy)))))))."'");
	$f = mysql_fetch_array($q);
	if(torg($type)!='' AND $f['id']!='' AND $f['uid']!=$use_id){
	echo "<title>Покупка ресурсов</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><a href="torg.php"><b>Биржа</b></a> | <font color="#4EEE94"><b>Покупка '.torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['type'])))))))).'</b></font></div>';
	echo '<div class="razd"></div>';
	echo '<div class="blok">Ставка '.$f['number'].' '.torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['type'])))))))).' по цене <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['price']))))))).']</font> Плазмы за ед.</div>';
	echo '<div class="razd"></div>';
		if(!$_POST)
	{
			echo '<center><div class="window">';
			echo '<form action="" method="POST">';
			echo 'Количество '.torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['type'])))))))).'<br /><input type="text" value="0" name="number" /> <input type="submit" name="submit" value="Купить"/></form>';
			echo '</div></center>';
	}
	else
	{
			$number = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['number'])))))));
			$kred1=check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['price']*$number)))))));
$error = false;
if ($sc < $kred1)

{

	$error = $error . 'Не хватает Плазмы для покупки '.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($number))))))).' '.torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['type'])))))))).'!<br />';

}
		
if (empty($number))

{

	$error = $error . 'Не введено количество '.torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['type'])))))))).'!<br/>';
}

elseif ($number > $f['number'])

{

	$error = $error . 'Игрок не продает столько '.torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['type'])))))))).'!<br />';
}

elseif ($number < 0)

{

	$error = $error . 'Вы не ввели количество '.torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['type'])))))))).'!<br />';
}

elseif (preg_match('/[^\d_]+/',$number))

{
	$error = $error . 'Недопустимые символы!<br />';

}

if (empty($error))

		{

			mysql_query("UPDATE `users` SET
			`sc`=sc-$kred1, `$dbres`=$dbres+$number WHERE `id`='" .check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id))))))) . "';");
			mysql_query("UPDATE `users` SET
			`sc`=sc+$kred1 WHERE `id`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['uid']))))))) . "';");
			mysql_query("UPDATE `torg` SET
			`number`=number-'".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($number)))))))."' WHERE `id`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))) . "';");
			mysql_query("INSERT INTO `doklad` SET `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['uid'])))))))."', `time`='" . time() . "', `type`=3, `text`='Игрок  ".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($login)))))))." купил у вас ".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($number)))))))." ".torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['type']))))))))." за ".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($kred1)))))))." Плазмы';");
			if($number==$f['number'])mysql_query("DELETE FROM `torg` WHERE `id`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))) . "';");
            echo '<div class="blok">Вы купили '.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($number))))))).' '.torg(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['type'])))))))).' за '.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($kred1))))))).' Плазмы!<br/></div>';
			mysql_query("INSERT INTO `log_torg` SET
			`type`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type)))))))."',
			`number`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($number)))))))."',
			`kred`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($kred1)))))))."',
			`uid1`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."',
			`uid2`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['uid'])))))))."',
			`time`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($realtime)))))))."';");
		}
		else
		{
			echo '<div class="blok3"><b>' . $error. '</b></div>';
		}
		
	}
	echo '<div class="razd"></div><div class="blok"><a href="?act=list&amp;t='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['type']))))))).'"><b>Назад</b></a></div>';
	}
	break;
	case 'off':
	$buy=$_GET['id'];
	$q = mysql_query("SELECT * FROM `torg` WHERE `id`='".$buy."'");
	$f = mysql_fetch_array($q);
		if(torg($type)!='' AND $f['id']!='' AND $f['uid']==$use_id){
	echo '<div class="top"><a href="torg.php">Торговые отношения</a> | Снятие '.torg($f['type']).' с продажи</div>';
	echo '<div class="blok">Ставка '.$f['number'].' '.torg($f['type']).' по цене '.$f['price'].' Плазмы за ед.</div>';

					echo '<div class="conts">';
				$wb=$_GET['o'];
		if($wb!=1){
							echo 'Вы уверенны что хотите снять '.$f['number'].' '.torg($f['type']).' с продажи?<br/>';
							echo '<a href="?act=off&amp;o=1&amp;t='.check($f['type']).'&amp;id='.$f['id'].'">Да</a> или <a href="?act=list&amp;t='.$f['type'].'">Отмена</a><br/>';
							}else{
							
		mysql_query("UPDATE `users` SET `$dbres`=$dbres+'".$f['number']."' WHERE `id`='" . $use_id . "';");
		mysql_query("DELETE FROM `torg` WHERE `id`='" . $f['id']. "';");
		echo 'Вы сняли '.$f['number'].' '.torg($f['type']).' с продажи!<br/><a href="?act=list&amp;t='.$f['type'].'"><<Назад</a>';
							}
			echo '</div>';
			}
	break;
	case 'history':
		echo "<title>История торговли</title>"; 
		echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
		echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="razd"></div>';
		echo '<div class="top-nav1"><a href="torg.php"><b>Биржа</b></a> | <font color="#4EEE94"><b>История торговли</b></font></div>';
		echo '<div class="razd"></div>';
			$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `log_torg` WHERE `time`>='".$newtime."' AND (`uid1`='".$use_id."' OR `uid2`='".$use_id."');"), 0);
			$PAGINGS = new PAGINGS($elem, "SELECT * FROM `log_torg` WHERE `time`>='".$newtime."' AND (`uid1`='".$use_id."' OR `uid2`='".$use_id."') ORDER BY `id` DESC");
			if($PAGINGS->count_get > 0)
			{
				while($row = mysql_fetch_array($PAGINGS->get))
				{
					echo '<div class="conts">';
					if($use_id==$row['uid1']){
					$q = mysql_query("SELECT * FROM `users` WHERE `id`='".$row['uid2']."'");
					$f = mysql_fetch_array($q);
					echo 'Вы купили '.$row['number'].' '.torg($row['type']).' за '.$row['kred'].' Плазмы у игрока '.rasa($f['rasa']).' <a href="../p/anketa.php?id='.$f['id'].'"><span class="' . crasa($f['rasa']) . '">' . $f['login'] . '</span></a>';
					}
					if($use_id==$row['uid2']){
					$q = mysql_query("SELECT * FROM `users` WHERE `id`='".$row['uid1']."'");
					$f = mysql_fetch_array($q);
					echo 'Вы продали '.$row['number'].' '.torg($row['type']).' за '.$row['kred'].' Плазмы игроку '.rasa($f['rasa']).' <a href="../p/anketa.php?id='.$f['id'].'"><span class="' . crasa($f['rasa']) . '">' . $f['login'] . '</span></a>';
					}
					echo '</div>';
				}
				if($count>$elem)echo $PAGINGS->Links('?act=history&amp;'); // вывод меню навигации в аргументе указывать адрес страницы 
			}
			else
			{
				div('<center><b>История торговли пуста!</b></center>','window');
			}
	break;
	}
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>